## pinball 0%2B0.3.20230219%2B12%2Bg6a5b22092

=== debian/changelog ===
pinball (0+0.3.20230219+12+g6a5b22092-0.3.20230219+14+g9b8a71c23) unstable; urgency=medium

  * WIP: debian: Release 0+0.3.20230219+12+g6a5b22092-
    0.3.20230219+14+g9b8a71c23 (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Mon, 26 Feb 2024 23:09:50 +0100

pinball (0+0.3.20230219-0.3.20230219+1+g2cb21cd46) unstable; urgency=medium

  * WIP: debian: Release 0+0.3.20230219-0.3.20230219+1+g2cb21cd46
    (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Tue, 28 Feb 2023 21:22:26 +0100

pinball (0+0.3.20201218+156+g4dab5162-0.3.20201218+156+g4dab5162) unstable; urgency=medium

  * WIP: debian: Release 0+0.3.20201218+156+g4dab5162-
    0.3.20201218+156+g4dab5162 (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Thu, 16 Feb 2023 23:38:44 +0100

pinball (0.0.0-0) unstable; urgency=medium

  * wip: https://purl.org/rzr

 -- Philippe Coval <rzr@users.sf.net>  Fri, 31 Jul 2020 16:23:26 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring alpha,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS += -mieee
	CXXFLAGS += -mieee
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wall

%:
	dh $@

.PHONY: clean
clean:
	dh clean
	rm -rf libltdl

.PHONY: override_dh_auto_configure
override_dh_auto_configure: bootstrap
	${<D}/${<F}
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games --with-cflags="$(CFLAGS)" --with-cxxflags="$(CXXFLAGS)"

.PHONY: override_dh_autoreconf
override_dh_autoreconf: bootstrap
	dh_autoreconf ${<D}/${<F}

.PHONY: override_dh_install
override_dh_install:
	rm -rf ${CURDIR}/debian/tmp/var/games/pinball/*/highscores
	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModule*.so
	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModule*.a
	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModuleTest*
	sed -i "/dependency_libs/s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pinball/*.la
	install -d $(CURDIR)/debian/tmp/usr/share/applications
	install -d $(CURDIR)/debian/tmp/usr/share/pixmaps
	install -m 644 pinball.desktop $(CURDIR)/debian/tmp/usr/share/applications
	install -m 644 data/pinball.xpm $(CURDIR)/debian/tmp/usr/share/pixmaps
	onsgmls debian/pinball.sgml | sgmlspl sgmlspl-specs/docbook2man-spec.pl
	dh_install

.PHONY: override_dh_fixperms-arch
override_dh_fixperms-arch:
	dh_fixperms
	chown root:games debian/pinball*/usr/games/pinball
	chmod 2755 debian/pinball*/usr/games/pinball

.PHONY: override_dh_makeshlibs
override_dh_makeshlibs:

## pinball 0.3.20230219

=== docs/Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
# ex: set tabstop=4 noexpandtab:
# -*- coding: utf-8 -*
#
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright: Philippe Coval <https://purl.org/rzr/> - 2021+
#

default: help

sudo?=sudo
srcs?=$(wildcard *.md | sort)
home?=Home.md
branch?=$(shell git rev-parse --abbrev-ref HEAD)
url?=http://localhost:4567

help:
	@echo "Usage:"
	@echo "make setup start"

setup/debian: /etc/debian_version
	${sudo} apt-get -y update
	${sudo} apt-get -y install libicu-dev cmake ruby-dev
	${sudo} gem install github-linguist
	${sudo} gem install gollum
	${sudo} gem install org-ruby  # optional

setup: setup/debian
	-@sync

run: ${home}
	cd ../docs/.. \
	&& gollum --ref ${branch} --page-file-dir docs 

${home}: ${srcs}
	echo $^ | tr ' ' '\n' |  while read  file; do echo "- [$$file]($$file)" ; done > $@
	-git add "$@"
	-git commit -sm 'docs: Regenerated default file' "$@"

home: ${home}
	cat $<

regen:
	rm -f ${home}
	make home
start:
	x-www-browser "${url}"
	${MAKE} run
	echo "info: Reload ${url}"

=== extra/Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
# ex: set tabstop=4 noexpandtab:
# -*- coding: utf-8 -*
#
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright: Philippe Coval <https://purl.org/rzr/> - 2020+
#

project?=pinball
V?=1

machine?=generic
architecture?=i386

mirror?=https://deb.debian.org/debian
scratchsize?=4G
suite?=bullseye

flags?=-v
flags+=--scratchsize=${scratchsize}
flags+=-tsuite:${suite}
flags+=-tmirror:${mirror}

images_lists ?= ${project}-i386-generic.img
images_lists += ${project}-amd64-generic.img

topdir?=..
sudo?=sudo


default: help all
	@echo "# $@: @^"

help: Makefile
	@echo "## Usage:"
	@echo "# ${<D}/${<F} help # This help"
	@echo "# ${<D}/${<F} img architecture=${architecture} machine=${machine} # To build image"

all: img

rule/debos/%.yaml: debos/%.yaml \
 profile \
 profile/pinball/etc/pinball/setup.sh
	ls $^
	time debos ${flags} $< | tee ${@F}.log.tmp

rule/debos/all: debos/machine/
	for file in $$(find $< -iname "${project}-*.yaml") ; do \
  ${MAKE} debos/$${file} \
  && img=$$(basename $${file} | sed -e 's/.yaml/.img.gz/g') \
  && ${MAKE} $${img} \
  && ls $${img} ;\
done
	@echo "# $@: $^"

${project}-%-${machine}.img: rule/debos/machine/${machine}/${project}-${machine}.yaml
	du -hsc $@

${project}-%-generic.img: rule/debos/machine/generic/${project}-%.yaml
	du -hsc $@

img: ${project}-${architecture}-${machine}.img
	du -hsc $<

rpi:
	${MAKE} architecture="armel" machine="$@_2" flags="-tkernel:linux-image-rpi"
rpi_2:
	${MAKE} architecture="armhf" machine="$@"
rpi_3_32b:
	${MAKE} architecture="armhf" machine="$@"
rpi_3_64b:
	${MAKE} architecture="arm64" machine="$@"

rpi_3: rpi_3_64b

rpi_4:
	${MAKE} architecture="arm64" machine="$@"

%.gz: %
	stat -c '%y: %n' $^
	gzip -f -9 $<
	stat -c '%y: %n' $@

run: pinball-i386-generic.img
	kvm -m 512 \
	  -device e1000,netdev=net0 \
	  -netdev user,id=net0,hostfwd=tcp::55522-:22 \
	  -net nic,model=ne2k_pci -net user \
	  -machine pc $<

cleanall:
	rm -rf *.img *.img.gz

## pinball 0.3.1

=== debian/changelog ===
pinball (0.3.1-13.1ubuntu1) trusty; urgency=low

  * Build depend on libtiff-dev, instead of libtiff4-dev.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 05 Dec 2013 22:55:27 +0000

pinball (0.3.1-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing C++ headers to fix FTBFS. Closes: #624953, #640726.
  * Empty dependency_libs field in la files. Closes: #633208.

 -- Regis Boudin <regis@debian.org>  Thu, 22 Sep 2011 21:16:50 +0100

pinball (0.3.1-13) unstable; urgency=low

  * Depend on virtual libstdc++-dev in addition to libstdc++6-4.4-dev
    rather on a fixed version. Closes: #581606.
  * Delete /var/games/pinball on purge
  * Bump Standards-Version to 3.8.4

 -- Jochen Friedrich <jochen@scram.de>  Mon, 17 May 2010 18:24:37 +0200

pinball (0.3.1-12) unstable; urgency=low

  * Refresh patch 05_system_ltdl.patch. Some autobuilders didn't like
    it for some unknown reason.
  * Remove build dependency on quilt.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 14 Jan 2010 17:42:16 +0100

pinball (0.3.1-11) unstable; urgency=low

  * Replace macro AC_LIBLTDL_CONVENIENCE with LTDL_INIT. This will make
    pinball link against the system libltdl instead of the private one.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Jochen Friedrich <jochen@scram.de>  Thu, 07 Jan 2010 16:56:37 +0100

pinball (0.3.1-10) unstable; urgency=low

  * Build-depend on libltdl-dev (>= 2.2.6b) as earlier versions were 
    vulnerable to a priviledge escalation. (Closes: #559825)
    Fixes priviledge escalation vulnerability CVE-2009-3736.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 10 Dec 2009 18:57:19 +0100

pinball (0.3.1-9) unstable; urgency=low

  * Fix .desktop file (Closes: #549643). Thanks to Pino Toscano
    <pino@kde.org> for the patch.
  * Fix eglibc 2.10 build (Closes: #549984). Thanks to Ilya Barygin
    <baryin@gmail.com> for the patch.
  * Add README.source for quilt patch management.

 -- Jochen Friedrich <jochen@scram.de>  Tue, 13 Oct 2009 18:41:23 +0200

pinball (0.3.1-8) unstable; urgency=low

  * Bump Standards-Version to 3.8.3
  * Replace glut with freeglut (Closes: #543701)
  * Correct license to be GPL-2
  * Switch to debhelper 7
  * Use current autotools instead of shipped versions (Closes: #401852, 
    #401853)
  * Fix depends for non-Linux platforms (Closes: #451113)

 -- Jochen Friedrich <jochen@scram.de>  Wed, 02 Sep 2009 14:11:01 +0200

pinball (0.3.1-7) unstable; urgency=low

  * Acknowledge NMU from Matthias Klose <doko@debian.org>.
  * Fix menu entry (Closes: #386409)
  * Update watch file for new sourceforge support.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 23 Nov 2006 12:30:53 +0100

pinball (0.3.1-6.1) unstable; urgency=high

  * NMU.
  * pinball-dev: Fix libstdc++-dev dependency.

 -- Matthias Klose <doko@debian.org>  Mon,  4 Sep 2006 02:20:07 +0200

pinball (0.3.1-6) unstable; urgency=high

  * Avoid loading levels and compiled plugins from user-controllable
    locations. Patch from Steve Kemp (skx@debian.org)
    [CVE-2006-2196]
  * Bump Standards-Version to 3.7.2 (No changes)
  * Changing depends on data to allow binary NMUs (Closes: #373141)
  * Removing libasound2-dev dependency for FreeBSD (Closes: #327688)
  * Updated auto* and libtool (Closes: #342261)
  * Updated watch file.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 16 Jun 2006 14:14:07 +0200

pinball (0.3.1-5) unstable; urgency=low

  * Fix CXX transition (Closes: #334167)
    Thanks to Frank Lichtenheld <djpig@debian.org>.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 19 Oct 2005 14:54:10 +0200

pinball (0.3.1-4) unstable; urgency=low

  * aalib1 -> libaa1 transition (Closes: #320878)
  * Install menu icon properly (Closes: #275636)
    Thanks to Mark Purcell <msp@debian.org> for the patch.
  * Bumped standards version to 3.6.2.

 -- Jochen Friedrich <jochen@scram.de>  Tue,  2 Aug 2005 18:58:45 +0200

pinball (0.3.1-3) unstable; urgency=low

  * Add "libtiff4-dev" to build dependencies to force recompile
    against 3.6.1 with changed API.
  * Included watch file.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 30 Jul 2004 20:17:35 +0200

pinball (0.3.1-2) unstable; urgency=low

  * Add "aalib1-dev" and "libasound2-dev" to the build dependencies
    Thanks to Helge Kreutzmann for testing this and pointing me
    to #240120 (Closes: #239696)

 -- Jochen Friedrich <jochen@scram.de>  Sun,  4 Apr 2004 19:44:27 +0200

pinball (0.3.1-1) unstable; urgency=low

  * New upstream release
    (Closes: #150140, #180957, #230733, #149858)
  * New maintainer (Closes: #236233)
  * Cleaned up debian dir (Closes: #230732)
  * Fixed build dependencies (Closes: #180957)
  * Acknowledge NMUs (Closes: #230741, #175896, #172599, #230053)
    (Also closes: #210505, #212219)

 -- Jochen Friedrich <jochen@scram.de>  Fri, 26 Mar 2004 00:37:42 +0100

pinball (0.3.1-0.2) unstable; urgency=low

  * Non-maintainer upload (sponsored upload of 0.3.1-0.1 with changes)
  * Add xlibmesa-gl-dev as preferred alternative for libgl-dev
  * Lintian stuff:
    - Quote strings in debian/pinball.menu
    - Bump debhelper build-dependency to 4.0.0 to match debian/compat
  * Remove config.log in clean target

 -- Matt Zimmerman <mdz@debian.org>  Fri, 12 Mar 2004 18:50:15 -0800

pinball (0.3.1-0.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * New upstream version (Closes: #172599) which starts on alpha
    (Closes: #230053) and fixes menu display (Closes: #212219).
  * Now includes man page (Closes: #230741).
  * Recompiled with gcc 3.3 (Closes: #210505).
  * Removed "The" and "." in short description to make linda/lintian happy.
  * There are now two tables/levels. Updated the description.
  * Support noopt for DEB_BUILD_OPTIONS and make "-g" the default.
  * Compile with -mieee on alpha, so it now runs on this platform as well.
    This Closes: #175896.
  * Create highscore-directories in /var/games/pinball; this does not work
    yet, unfortunately.
  * Removed the .ex-files in the debian/-directory, Closes: FIXME.


=== debian/control ===
Source: pinball
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
Build-Depends: debhelper (>= 7.0.50~), libgl1-mesa-dev, libpng-dev, libsdl1.2-dev, freeglut3-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libogg-dev, libvorbis-dev, sp, sgmlspl, docbook, docbook-utils, libaa1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libtiff-dev, autoconf, automake, libtool, libltdl-dev (>= 2.2.6b)
Standards-Version: 3.8.4

Package: pinball
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pinball-data (= ${source:Version})
Description: Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.

Package: pinball-dev
Architecture: any
Depends: ${misc:Depends}, libc6-dev, pinball (= ${binary:Version}), libstdc++6-4.4-dev | libstdc++-dev
Description: Development files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains header files and configuration for creating new levels.

Package: pinball-data
Architecture: all
Depends: ${misc:Depends}
Description: Data files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains various data files used by the pinball emulator.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring alpha,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS += -mieee
	CXXFLAGS += -mieee
endif

%:
	dh $@

.PHONY: clean
clean:
	dh clean
	rm -rf libltdl

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	libtoolize --install --copy
	aclocal
	autoheader
	automake --add-missing
	autoconf
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games --with-cflags="$(CFLAGS)" --with-cxxflags="$(CXXFLAGS)"

.PHONY: override_dh_install
override_dh_install:
	sed -i "/dependency_libs/s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/pinball/*.la
	install -d $(CURDIR)/debian/tmp/usr/share/applications
	install -d $(CURDIR)/debian/tmp/usr/share/pixmaps
	install -m 644 pinball.desktop $(CURDIR)/debian/tmp/usr/share/applications
	install -m 644 data/pinball.xpm $(CURDIR)/debian/tmp/usr/share/pixmaps
	nsgmls debian/pinball.sgml | sgmlspl sgmlspl-specs/docbook2man-spec.pl
	dh_install

.PHONY: override_dh_fixperms
override_dh_fixperms:
	dh_fixperms
	chown root:games debian/pinball/usr/games/pinball
	chmod 2755 debian/pinball/usr/games/pinball

.PHONY: override_dh_makeshlibs
override_dh_makeshlibs:

=== debian/watch ===
version=3
http://sf.net/pinball/pinball-([\d+\.]+|\d+)\.tar\.gz

## pinball 0.3.20201218

=== debian/changelog ===
pinball (0.3.20201218-4) unstable; urgency=medium

  * Team upload
  * Mark autopkgtest as superficial

 -- Yadd <yadd@debian.org>  Mon, 29 Mar 2021 00:13:55 +0200

pinball (0.3.20201218-3) unstable; urgency=medium

  * Pick 0.3.20201218-2 changes on 0.3.20201218-1 base
  * d/control: Drop C++ dep
  * d/control: Set team maintenance
  * d/tests: Add help test (Closes: #985488)

 -- Philippe Coval <rzr@users.sf.net>  Sat, 20 Mar 2021 22:33:28 +0100

pinball (0.3.20201218-2) unstable; urgency=medium

  * d/control: Update preferred libstdc++ version (Closes: #985440)
  * d/control: Update standards to latest

 -- Philippe Coval <rzr@users.sf.net>  Thu, 18 Mar 2021 12:06:12 +0100

pinball (0.3.20201218-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Adopt package (Closes: #922911)
    - debian: Drop applied patches
    - debian/clean: Remove objects
    - debian/clean: Clean generated files
    - debian: Clean more files
    - debian/copyright: List appdata copyright
    - debian: Support gbp
    - debian/control: Lint before upgrade
    - debian/control: Remove non used libs
    - debian/rules: use boostrap
    - debian/control: Add pkg-config as dep
    - debian/control: Drop libaa1-dev
    - debian: Drop libtiff from deps
    - debian: Prefer jpeg turbo
    - debian: Clean README link
    - debian/control: Suggests related packages
    - debian: Add debian/upstream/metadata
    - debian: Fix manual typos
    - debian/copyright: Update upstream contact
    - debian/control: Lint file
    - debian/control: Update URL
    - debian/control: Install libtool
    - debian/upstream/metadata: Update code URL
    - debian/copyright: Lint file
  * Revert "debian: Add snapshot subpackage"
  * debian/changelog: Adopt package for latest release (Closes: #922911)
  * debian: Bump standards to current
  * debian/watch: Update watch file version
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * debian/changelog: Fix day-of-week for changelog entry 0.3.1-7.
  * debian/control: Fix maybe-not-arch-all-binnmuable lintian warning
  * debian: Fix Repository URL

 -- Philippe Coval <rzr@users.sf.net>  Fri, 18 Dec 2020 22:43:37 +0100

pinball (0.3.1-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the Makefile dependencies. (Closes: #908953)

 -- Adrian Bunk <bunk@debian.org>  Thu, 27 Sep 2018 21:17:18 +0300

pinball (0.3.1-14) unstable; urgency=medium

  * New Maintainer (Closes: #891762).
  * Update Standards-Version.
  * Set Rules-Requires-Root: binary-targets.
  * Added homepage field on debian/control.
  * Added description on some patch files.
  * Fix spelling error in patch description on 06_missing_cstddef.patch file.
  * Removed patch file not-mentioned in series: replace-sp-with-opensp.patch.
  * Added hardering flags on debian/rules.
  * Removed and rewrite 03_desktop.patch file.
  * Removed pinball.menu file.
  * Added secure URI on debian/watch.
  * Completed rewrite debian/copyright file.
  * Changed negated list of architectures by dpkg architecture wildcards.
    Thanks to Robert Millan (Closes: #634705).
  * Adds OpenGL constraint on debian/control. Thanks to Yann Dirson
    (Closes: #150082).
  * Added support to 1920x1200 screen with a patch (Closes: #555251).
  * Added random table loading function: thanks to joblack (Closes: ##555256).
  * Cancel the closing of the program with the insert key (Closes: #450763).
  * Fix error on configuring of keys (Closes: #858627).
  * Added one new patch to activate left Alt
    key to close program (Closes: #442809).
  * Changed the storage directory of the high scores.
  * Added one new patch to add author name on
    upstream AUTHORS file (it was empty).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 03 Mar 2018 18:55:03 +0100

pinball (0.3.1-13.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Change build dependency from obsolete sp to newer opensp.

 -- Neil Roeth <neil@debian.org>  Sat, 10 Sep 2016 22:32:11 -0400

pinball (0.3.1-13.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not remove executable bit from /usr/lib/$DEB_HOST_MULTIARCH/pinball
    directory. Thanks to Helga Schlossmacher for the report. (Closes: #818736)

 -- Markus Koschany <apo@debian.org>  Sun, 20 Mar 2016 15:10:37 +0100

pinball (0.3.1-13.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Use compat level 9 and require debhelper >= 9 because the syntax for
    override_dh_fixperms-arch is only valid since compat level 9.
  * Install libraries into multiarch directories.

 -- Markus Koschany <apo@debian.org>  Mon, 14 Mar 2016 13:32:00 +0100

pinball (0.3.1-13.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove depcomp in dh_auto_configure override and prevent the FTBFS.
    Thanks to Tobias Frost for the report. (Closes: #816108)
  * Use dh_fixperms override for arch-only and fix building with
    dpkg-buildflag -A.
    Thanks to Santiago Vila for the report. (Closes: #806093)

 -- Markus Koschany <apo@debian.org>  Sun, 13 Mar 2016 23:34:47 +0100

pinball (0.3.1-13.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtiff-dev instead of libtiff4-dev because the latter is
    going to disappear soon. (Closes: #736039)
  * Add missing-separators.patch.
    - Replace spaces with TABS in Makefiles and thus fix a FTBFS with newer
      versions of GNU Make which are less fault tolerant. Thanks to Michael
      Tautschnig for the report. (Closes: #750082)

 -- Markus Koschany <apo@gambaru.de>  Sat, 23 Aug 2014 14:16:37 +0200

=== debian/control ===
Source: pinball
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Philippe Coval <rzr@users.sf.net>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev,
               libjpeg62-turbo-dev | libjpeg-dev,
               libpng-dev,
               libsdl1.2-dev,
               freeglut3-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libogg-dev,
               libvorbis-dev,
               opensp,
               sgmlspl,
               docbook,
               docbook-utils,
               libasound2-dev [linux-any],
               autoconf,
               automake,
               libtool-bin,
               libltdl-dev,
               pkg-config
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/games-team/pinball/-/tree/debian/master
Vcs-Git: https://salsa.debian.org/games-team/pinball.git
Homepage: https://sourceforge.net/projects/pinball/
Rules-Requires-Root: binary-targets

Package: pinball
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pinball-data (>= ${source:Version})
Suggests: pinball-table-gnu,
          pinball-table-hurd,
          alsa-utils,
          xinit
Description: Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for GNU/Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 You can play with two types of boards and keep high scores.
 .
 Works with OpenGL and needs hardware acceleration. See requeriments
 on README file.

Package: pinball-dev
Architecture: any
Depends: ${misc:Depends},
         libc6-dev,
         pinball (= ${binary:Version})
Description: Development files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains header files and configuration for creating new levels.

Package: pinball-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains various data files used by the pinball emulator.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring alpha,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS += -mieee
	CXXFLAGS += -mieee
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wall

%:
	dh $@

.PHONY: clean
clean:
	dh clean
	rm -rf libltdl

.PHONY: override_dh_auto_configure
override_dh_auto_configure: bootstrap
	${<D}/${<F}
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games --with-cflags="$(CFLAGS)" --with-cxxflags="$(CXXFLAGS)"

.PHONY: override_dh_autoreconf
override_dh_autoreconf: bootstrap
	dh_autoreconf ${<D}/${<F}

.PHONY: override_dh_install
override_dh_install:
	rm -rf ${CURDIR}/debian/tmp/var/games/pinball/*/highscores
	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModule*.so
	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModule*.a
	sed -i "/dependency_libs/s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pinball/*.la
	install -d $(CURDIR)/debian/tmp/usr/share/applications
	install -d $(CURDIR)/debian/tmp/usr/share/pixmaps
	install -m 644 pinball.desktop $(CURDIR)/debian/tmp/usr/share/applications
	install -m 644 data/pinball.xpm $(CURDIR)/debian/tmp/usr/share/pixmaps
	onsgmls debian/pinball.sgml | sgmlspl sgmlspl-specs/docbook2man-spec.pl
	dh_install

.PHONY: override_dh_fixperms-arch
override_dh_fixperms-arch:
	dh_fixperms
	chown root:games debian/pinball/usr/games/pinball
	chmod 2755 debian/pinball/usr/games/pinball

.PHONY: override_dh_makeshlibs
override_dh_makeshlibs:

=== debian/tests/control ===
Tests: smoke
Depends: @
Restrictions: allow-stderr, superficial

## pinball 0.3.20230219

=== debian/changelog ===
pinball (0.3.20230219-3) unstable; urgency=medium

  * Team upload
  * Fix Vcs tags
  * Reformat d/control with debputy
  * Trim d/rules
  * Compatibility with Policy 4.7.2: only install pinball-config once
    Closes: #1098495

  [ Patrice Duroux ]
  * README was renamed README.md (Closes: #986073)
  * Also added FAQ.md

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 13:54:53 +0100

pinball (0.3.20230219-2) unstable; urgency=medium

  * Team upload
  * Build-Depend on unversioned libjpeg-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Dec 2024 07:53:23 -0500

pinball (0.3.20230219-1) unstable; urgency=medium

  * New upstream release (Closes: #913276)
    - debian/control: Use sdl2
    - debian: Align Pinned subpackages
  * d/t/smoke: Run --help for smoke test
  * d/control: Bump Standards
  * d/control: Build on non obsolete gl
  * d/control: Update Vcs-Git's branch
  * d/rules: Avoid to install unused Test plugin
  * d/pinball-dev.links: Link pinball-config to default PATH

 -- Philippe Coval <rzr@users.sf.net>  Sat, 04 Mar 2023 15:47:46 +0100

=== debian/control ===
Source: pinball
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Philippe Coval <rzr@users.sf.net>,
Section: games
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 docbook,
 docbook-utils,
 libasound2-dev [linux-any],
 libgl-dev,
 libjpeg-dev,
 libltdl-dev,
 libogg-dev,
 libpng-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libtool-bin,
 libvorbis-dev,
 opensp,
 pkgconf,
 sgmlspl,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/pinball
Vcs-Git: https://salsa.debian.org/games-team/pinball.git
Homepage: https://sourceforge.net/projects/pinball/
Rules-Requires-Root: binary-targets
X-Style: black

Package: pinball
Architecture: any
Depends:
 pinball-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 alsa-utils,
 pinball-table-gnu,
 pinball-table-hurd,
 xinit,
Description: Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for GNU/Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 You can play with two types of boards and keep high scores.
 .
 Works with OpenGL and needs hardware acceleration. See requeriments
 on README file.

Package: pinball-dev
Architecture: any
Depends:
 libc6-dev,
 pinball (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains header files and configuration for creating new levels.

Package: pinball-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Data files for the Emilia Pinball Emulator
 The Emilia Pinball Project is a pinball simulator for Linux and other Unix
 systems. There are only two levels to play with, but they are very addictive.
 .
 This package contains various data files used by the pinball emulator.

=== debian/rules ===
--- 
+++ 
@@ -18,38 +18,34 @@
 %:
 	dh $@
 
-.PHONY: clean
-clean:
-	dh clean
+execute_after_dh_clean:
 	rm -rf libltdl
 
-.PHONY: override_dh_auto_configure
 override_dh_auto_configure: bootstrap
 	${<D}/${<F}
 	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games --with-cflags="$(CFLAGS)" --with-cxxflags="$(CXXFLAGS)"
 
-.PHONY: override_dh_autoreconf
 override_dh_autoreconf: bootstrap
 	dh_autoreconf ${<D}/${<F}
 
-.PHONY: override_dh_install
 override_dh_install:
 	rm -rf ${CURDIR}/debian/tmp/var/games/pinball/*/highscores
 	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModule*.so
 	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModule*.a
+	rm -rf ${CURDIR}/debian/tmp/usr/lib/*/pinball/libModuleTest*
 	sed -i "/dependency_libs/s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pinball/*.la
 	install -d $(CURDIR)/debian/tmp/usr/share/applications
 	install -d $(CURDIR)/debian/tmp/usr/share/pixmaps
+	install -d $(CURDIR)/debian/tmp/usr/bin
+	mv $(CURDIR)/debian/tmp/usr/games/pinball-config $(CURDIR)/debian/tmp/usr/bin
 	install -m 644 pinball.desktop $(CURDIR)/debian/tmp/usr/share/applications
 	install -m 644 data/pinball.xpm $(CURDIR)/debian/tmp/usr/share/pixmaps
 	onsgmls debian/pinball.sgml | sgmlspl sgmlspl-specs/docbook2man-spec.pl
 	dh_install
 
-.PHONY: override_dh_fixperms-arch
 override_dh_fixperms-arch:
 	dh_fixperms
 	chown root:games debian/pinball/usr/games/pinball
 	chmod 2755 debian/pinball/usr/games/pinball
 
-.PHONY: override_dh_makeshlibs
 override_dh_makeshlibs:

=== debian/tests/control ===
Tests:
 smoke,
Depends:
 @,
Restrictions:
 allow-stderr,
 superficial,
